> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Language Options

MX widgets support the following languages via the `Accept-Language` request header or the `ui_message_webview_url_scheme` configuration option.

| Language            | Code    |
| :------------------ | :------ |
| English (US)        | `en-US` |
| English (Canada)    | `en-CA` |
| French (Canada)     | `fr-CA` |
| Spanish             | `es`    |
| Portuguese (Brazil) | `pt-BR` |

Pass the language code in the `Accept-Language` header when requesting a widget URL:

```shell Request theme={null}
curl -i -X POST https://int-sso.moneydesktop.com/{client_id}/users/{id}/urls.xml \
  -H 'Content-Type: application/vnd.moneydesktop.sso.v3+xml' \
  -H 'Accept: application/vnd.moneydesktop.sso.v3+xml' \
  -H 'MD-API-KEY: {api_key}' \
  -H 'Accept-Language: fr-CA' \
  -d '<url>
        <type>connections_widget</type>
        <is_mobile_webview>true</is_mobile_webview>
      </url>'
```
